org.apache.ivy.plugins.namespace

## Class MRIDTransformationRule

- java.lang.Object
- - org.apache.ivy.plugins.namespace.MRIDTransformationRule

All Implemented Interfaces:
  NamespaceTransformer

    public class MRIDTransformationRule
    extends java.lang.Object
    implements NamespaceTransformer

### Constructor Summary

Constructors
Constructor and Description
`MRIDTransformationRule()`

### Method Summary

Methods
`void` `addDest(MRIDRule dest)`
`void` `addSrc(MRIDRule src)`
`boolean` `isIdentity()`
`ModuleRevisionId` `transform(ModuleRevisionId mrid)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MRIDTransformationRule

    public MRIDTransformationRule()

### Method Detail

#### addSrc

    public void addSrc(MRIDRule src)

#### addDest

    public void addDest(MRIDRule dest)

#### transform

    public ModuleRevisionId transform(ModuleRevisionId mrid)

Specified by:
  `transform` in interface `NamespaceTransformer`

#### isIdentity

    public boolean isIdentity()

Specified by:
  `isIdentity` in interface `NamespaceTransformer`